summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikael Hallendal <hallski@gentoo.org>2001-08-31 23:32:48 +0000
committerMikael Hallendal <hallski@gentoo.org>2001-08-31 23:32:48 +0000
commit445fa6a37bfd7ee0fe000439ba697c30aa05d235 (patch)
treeac06b76934241cfc71d4a1d763f4a69e7e7ca485 /gnome-libs
parentuse DESTDIR= (diff)
downloadhistorical-445fa6a37bfd7ee0fe000439ba697c30aa05d235.tar.gz
historical-445fa6a37bfd7ee0fe000439ba697c30aa05d235.tar.bz2
historical-445fa6a37bfd7ee0fe000439ba697c30aa05d235.zip
cleaned up, use DESTDIR=, fixed some RDEPEND/DEPEND issues
Diffstat (limited to 'gnome-libs')
-rw-r--r--gnome-libs/ammonite/ammonite-1.0.2.ebuild54
-rw-r--r--gnome-libs/bonobo-conf/bonobo-conf-0.10.ebuild45
-rw-r--r--gnome-libs/bonobo-conf/bonobo-conf-0.11.ebuild45
-rw-r--r--gnome-libs/eel/eel-1.0.1.ebuild33
-rw-r--r--gnome-libs/eel/eel-1.0.ebuild37
-rw-r--r--gnome-libs/eel/files/digest-eel-1.01
-rw-r--r--gnome-libs/gb/gb-0.0.19.ebuild14
-rw-r--r--gnome-libs/gb/gb-0.0.20.ebuild15
-rw-r--r--gnome-libs/glibwww/glibwww-0.2-r1.ebuild26
-rw-r--r--gnome-libs/gnomemm/gnomemm-1.1.21.ebuild22
-rw-r--r--gnome-libs/gnomemm/gnomemm-1.2.0.ebuild22
-rw-r--r--gnome-libs/libgda/libgda-0.2.10.ebuild76
-rw-r--r--gnome-libs/libgda/libgda-0.2.9.ebuild77
-rw-r--r--gnome-libs/libole2/libole2-0.2.3.ebuild13
-rw-r--r--gnome-libs/librsvg/librsvg-1.0.0.ebuild26
-rw-r--r--gnome-libs/librsvg/librsvg-1.0.1.ebuild32
-rw-r--r--gnome-libs/libxml2/libxml2-2.3.11.ebuild24
-rw-r--r--gnome-libs/libxml2/libxml2-2.3.14.ebuild24
-rw-r--r--gnome-libs/libxml2/libxml2-2.3.9.ebuild24
-rw-r--r--gnome-libs/libxml2/libxml2-2.4.0.ebuild24
-rw-r--r--gnome-libs/libxml2/libxml2-2.4.1.ebuild24
-rw-r--r--gnome-libs/libxslt/libxslt-1.0.1.ebuild17
-rw-r--r--gnome-libs/medusa/medusa-0.5.1.ebuild27
23 files changed, 324 insertions, 378 deletions
diff --git a/gnome-libs/ammonite/ammonite-1.0.2.ebuild b/gnome-libs/ammonite/ammonite-1.0.2.ebuild
index 13b07fbfc29c..934f073435da 100644
--- a/gnome-libs/ammonite/ammonite-1.0.2.ebuild
+++ b/gnome-libs/ammonite/ammonite-1.0.2.ebuild
@@ -1,48 +1,48 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/ammonite/ammonite-1.0.2.ebuild,v 1.6 2001/08/23 10:20:31 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/ammonite/ammonite-1.0.2.ebuild,v 1.7 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
DESCRIPTION="ammonite"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/${PN}/${A}"
-
HOMEPAGE="http://www.gnome.org/"
-DEPEND="nls? ( sys-devel/gettext )
- >=gnome-base/gnome-libs-1.2.12
- >=gnome-base/gconf-0.50
- >=dev-libs/openssl-0.9.6
- >=dev-util/xml-i18n-tools-0.8.4"
-
RDEPEND=">=gnome-base/gnome-libs-1.2.12
- >=gnome-base/gconf-0.50
- >=dev-libs/openssl-0.9.6"
+ >=gnome-base/gconf-0.50
+ >=dev-libs/openssl-0.9.6"
+
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ >=dev-util/xml-i18n-tools-0.8.4"
src_unpack() {
- unpack ${A}
- cd ${S}
- patch -p1 < ${FILESDIR}/${PN}-1.0.0-gentoo.diff
+ unpack ${A}
+
+ cd ${S}
+ patch -p1 < ${FILESDIR}/${PN}-1.0.0-gentoo.diff || die
}
src_compile() {
- local myconf
- if [ -z "`use nls`" ]
- then
- myconf="--disable-nls"
- fi
- try ./configure --host=${CHOST} --prefix=/opt/gnome --sysconfdir=/etc/opt/gnome ${myconf}
- try pmake
+ local myconf
+
+ if [ -z "`use nls`" ]
+ then
+ myconf="--disable-nls"
+ fi
+
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man ${myconf} || die
+
+ emake || die
}
src_install() {
- try make prefix=${D}/opt/gnome sysconfdir=${D}/etc/opt/gnome install
- dodoc ABOUT-NLS AUTHORS COPYING* HACKING README NEWS
- dodoc TODO doc/*.txt
+ make DESTDIR=${D} install || die
+ dodoc ABOUT-NLS AUTHORS COPYING* HACKING README NEWS
+ dodoc TODO doc/*.txt
}
-
-
-
-
diff --git a/gnome-libs/bonobo-conf/bonobo-conf-0.10.ebuild b/gnome-libs/bonobo-conf/bonobo-conf-0.10.ebuild
index 83f9a385b71f..007098c459e2 100644
--- a/gnome-libs/bonobo-conf/bonobo-conf-0.10.ebuild
+++ b/gnome-libs/bonobo-conf/bonobo-conf-0.10.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Mikael Hallendal <hallski@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/bonobo-conf/bonobo-conf-0.10.ebuild,v 1.1 2001/08/03 11:46:48 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/bonobo-conf/bonobo-conf-0.10.ebuild,v 1.2 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.bz2
S=${WORKDIR}/${P}
@@ -9,32 +9,33 @@ DESCRIPTION="Bonobo Configuration System"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/unstable/sources/bonobo-conf/${A}"
HOMEPAGE="http://www.gnome.org/"
-DEPEND="nls? ( sys-devel/gettext )
- >=dev-libs/glib-1.2.0
- >=dev-util/xml-i18n-tools-0.8.4
- >=x11-libs/gtk+-1.2.0
- >=gnome-base/bonobo-1.0
- >=gnome-base/oaf-0.6.2"
+RDEPEND=">=dev-libs/glib-1.2.0
+ >=x11-libs/gtk+-1.2.0
+ >=gnome-base/bonobo-1.0
+ >=gnome-base/oaf-0.6.2"
+
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ >=dev-util/xml-i18n-tools-0.8.4"
src_compile() {
- local myconf
- if [ -z "`use nls`" ] ; then
- myconf="--disable-nls"
- fi
- try ./configure --host=${CHOST} --prefix=/opt/gnome \
- --sysconfdir=/etc/opt/gnome --disable-more-warnings $myconf
- try pmake
+ local myconf
-}
+ if [ -z "`use nls`" ] ; then
+ myconf="--disable-nls"
+ fi
-src_install () {
-
- try make DESTDIR=${D} install
- dodoc AUTHORS COPYING ChangeLog README NEWS TODO
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man \
+ --disable-more-warnings $myconf || die
+ emake || die
}
+src_install () {
+ make DESTDIR=${D} install || die
-
-
-
+ dodoc AUTHORS COPYING ChangeLog README NEWS TODO
+}
diff --git a/gnome-libs/bonobo-conf/bonobo-conf-0.11.ebuild b/gnome-libs/bonobo-conf/bonobo-conf-0.11.ebuild
index b61ad516e6a9..0c759cfc2476 100644
--- a/gnome-libs/bonobo-conf/bonobo-conf-0.11.ebuild
+++ b/gnome-libs/bonobo-conf/bonobo-conf-0.11.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Mikael Hallendal <hallski@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/bonobo-conf/bonobo-conf-0.11.ebuild,v 1.1 2001/08/20 21:52:37 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/bonobo-conf/bonobo-conf-0.11.ebuild,v 1.2 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -9,32 +9,33 @@ DESCRIPTION="Bonobo Configuration System"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/unstable/sources/${PN}/${A}"
HOMEPAGE="http://www.gnome.org/"
-DEPEND="nls? ( sys-devel/gettext )
- >=dev-libs/glib-1.2.0
- >=dev-util/xml-i18n-tools-0.8.4
- >=x11-libs/gtk+-1.2.0
- >=gnome-base/bonobo-1.0
- >=gnome-base/oaf-0.6.2"
+RDEPEND=">=dev-libs/glib-1.2.0
+ >=x11-libs/gtk+-1.2.0
+ >=gnome-base/bonobo-1.0
+ >=gnome-base/oaf-0.6.2"
+
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ >=dev-util/xml-i18n-tools-0.8.4"
src_compile() {
- local myconf
- if [ -z "`use nls`" ] ; then
- myconf="--disable-nls"
- fi
- try ./configure --host=${CHOST} --prefix=/opt/gnome \
- --sysconfdir=/etc/opt/gnome --disable-more-warnings $myconf
- try pmake
+ local myconf
-}
+ if [ -z "`use nls`" ] ; then
+ myconf="--disable-nls"
+ fi
-src_install () {
-
- try make DESTDIR=${D} install
- dodoc AUTHORS COPYING ChangeLog README NEWS TODO
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man \
+ --disable-more-warnings $myconf || die
+ emake || die
}
+src_install () {
+ make DESTDIR=${D} install || die
-
-
-
+ dodoc AUTHORS COPYING ChangeLog README NEWS TODO
+}
diff --git a/gnome-libs/eel/eel-1.0.1.ebuild b/gnome-libs/eel/eel-1.0.1.ebuild
index e5c1f728f4ce..a50b66a03f1e 100644
--- a/gnome-libs/eel/eel-1.0.1.ebuild
+++ b/gnome-libs/eel/eel-1.0.1.ebuild
@@ -9,29 +9,26 @@ DESCRIPTION="eel"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/${PN}/${A}"
HOMEPAGE="http://www.gnome.org/"
-DEPEND=">=gnome-base/gnome-vfs-1.0.1
- >=media-libs/gdk-pixbuf-0.11.0
- >=media-libs/freetype-2.0.1
- >=gnome-libs/librsvg-1.0
+RDEPEND=">=media-libs/freetype-2.0.1
+ >=gnome-base/gnome-vfs-1.0.1
+ >=media-libs/gdk-pixbuf-0.11.0
+ >=gnome-libs/librsvg-1.0"
+
+DEPEND="${RDEPEND}
>=dev-util/xml-i18n-tools-0.8.4"
-RDEPEND=">=media-libs/freetype-2.0.1
- >=gnome-base/gnome-vfs-1.0.1
- >=media-libs/gdk-pixbuf-0.11.0
- >=gnome-libs/librsvg-1.0"
src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome \
- --sysconfdir=/etc/opt/gnome
- try make # Doesn't work with -j 4 (hallski)
-}
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man || die
-src_install() {
- try make DESTDIR=${D} install
-# try make prefix=${D}/opt/gnome install
-
- dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+ make || die # Doesn't work with -j 4 (hallski)
}
+src_install() {
+ make DESTDIR=${D} install || die
-
+ dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+}
diff --git a/gnome-libs/eel/eel-1.0.ebuild b/gnome-libs/eel/eel-1.0.ebuild
deleted file mode 100644
index e5c1f728f4ce..000000000000
--- a/gnome-libs/eel/eel-1.0.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# Author Achim Gottinger <achim@gentoo.org>
-# $Header
-
-A=${P}.tar.gz
-S=${WORKDIR}/${P}
-DESCRIPTION="eel"
-SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/${PN}/${A}"
-HOMEPAGE="http://www.gnome.org/"
-
-DEPEND=">=gnome-base/gnome-vfs-1.0.1
- >=media-libs/gdk-pixbuf-0.11.0
- >=media-libs/freetype-2.0.1
- >=gnome-libs/librsvg-1.0
- >=dev-util/xml-i18n-tools-0.8.4"
-
-RDEPEND=">=media-libs/freetype-2.0.1
- >=gnome-base/gnome-vfs-1.0.1
- >=media-libs/gdk-pixbuf-0.11.0
- >=gnome-libs/librsvg-1.0"
-
-src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome \
- --sysconfdir=/etc/opt/gnome
- try make # Doesn't work with -j 4 (hallski)
-}
-
-src_install() {
- try make DESTDIR=${D} install
-# try make prefix=${D}/opt/gnome install
-
- dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
-}
-
-
-
diff --git a/gnome-libs/eel/files/digest-eel-1.0 b/gnome-libs/eel/files/digest-eel-1.0
deleted file mode 100644
index c75c5abc26f2..000000000000
--- a/gnome-libs/eel/files/digest-eel-1.0
+++ /dev/null
@@ -1 +0,0 @@
-MD5 18bad2f74b36b1a9ba4229ded7c11530 eel-1.0.tar.gz
diff --git a/gnome-libs/gb/gb-0.0.19.ebuild b/gnome-libs/gb/gb-0.0.19.ebuild
index 936279d043f7..fed763669f49 100644
--- a/gnome-libs/gb/gb-0.0.19.ebuild
+++ b/gnome-libs/gb/gb-0.0.19.ebuild
@@ -11,16 +11,14 @@ HOMEPAGE="http://www.gnome.org/"
DEPEND=">=gnome-base/gnome-print-0.29"
-
src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome
- try pmake
-}
+ ./configure --host=${CHOST} --prefix=/opt/gnome || die
-src_install() {
- try make prefix=${D}/opt/gnome install
- dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
-
+ dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+}
diff --git a/gnome-libs/gb/gb-0.0.20.ebuild b/gnome-libs/gb/gb-0.0.20.ebuild
index 936279d043f7..e9cd342f8c55 100644
--- a/gnome-libs/gb/gb-0.0.20.ebuild
+++ b/gnome-libs/gb/gb-0.0.20.ebuild
@@ -9,17 +9,20 @@ DESCRIPTION="GNOME Basic"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/unstable/sources/${PN}/${A}"
HOMEPAGE="http://www.gnome.org/"
-DEPEND=">=gnome-base/gnome-print-0.29"
+RDEPEND=">=gnome-base/gnome-print-0.29"
+DEPEND="${RDEPEND}"
-src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome
- try pmake
+src_compile() {
+ ./configure --host=${CHOST} --prefix=/opt/gnome || die
+
+ emake || die
}
src_install() {
- try make prefix=${D}/opt/gnome install
- dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+ make DESTDIR=${D} install || die
+
+ dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
}
diff --git a/gnome-libs/glibwww/glibwww-0.2-r1.ebuild b/gnome-libs/glibwww/glibwww-0.2-r1.ebuild
index cd250134f416..3622c5d8d6ae 100644
--- a/gnome-libs/glibwww/glibwww-0.2-r1.ebuild
+++ b/gnome-libs/glibwww/glibwww-0.2-r1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/glibwww/glibwww-0.2-r1.ebuild,v 1.5 2001/08/23 10:20:31 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/glibwww/glibwww-0.2-r1.ebuild,v 1.6 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -9,24 +9,20 @@ DESCRIPTION="The Gnome WWW Libraries"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/unstable/sources/${PN}/${A}"
HOMEPAGE="http://www.gnome.org/"
-DEPEND=">=gnome-base/gnome-libs-1.2.13
- >=net-libs/libwww-1.5.3-r1
- gnome-base/gnome-env"
-
RDEPEND=">=net-libs/libwww-1.5.3-r1
- gnome-base/gnome-env"
+ >=gnome-base/gnome-libs-1.2.13
+ gnome-base/gnome-env"
+
+DEPEND="${RDEPEND}"
src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome
- try pmake
-}
+ ./configure --host=${CHOST} --prefix=/opt/gnome || die
-src_install() {
- try make prefix=${D}/opt/gnome install
- dodoc AUTHORS ChangeLog NEWS README
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
-
-
-
+ dodoc AUTHORS ChangeLog NEWS README
+}
diff --git a/gnome-libs/gnomemm/gnomemm-1.1.21.ebuild b/gnome-libs/gnomemm/gnomemm-1.1.21.ebuild
index 1c790ac750da..d0c47a823760 100644
--- a/gnome-libs/gnomemm/gnomemm-1.1.21.ebuild
+++ b/gnome-libs/gnomemm/gnomemm-1.1.21.ebuild
@@ -1,7 +1,7 @@
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Nathaniel Hirsch <nh2@njit.edu> Achim Gottinge <achim@gentoo.org>
# /home/cvsroot/gentoo-x86/media-video/vlc/vlc-0.2.80.ebuild,v 1.1 2001/06/20 13:47:39 darks Exp
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/gnomemm/gnomemm-1.1.21.ebuild,v 1.3 2001/08/31 03:23:39 pm Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/gnomemm/gnomemm-1.1.21.ebuild,v 1.4 2001/08/31 23:32:48 hallski Exp $
S=${WORKDIR}/${P}
@@ -9,19 +9,19 @@ DESCRIPTION="C++ binding for the GNOME libraries"
SRC_URI="http://prdownloads.sourceforge.net/gtkmm/${P}.tar.gz"
HOMEPAGE="http://gtkmm.sourceforge.net/"
-DEPEND=">=x11-libs/gtkmm-1.2.5
- >=gnome-base/ORBit-0.5.8"
-
RDEPEND=">=x11-libs/gtkmm-1.2.5
>=gnome-base/ORBit-0.5.8"
-src_compile(){
- try ./configure --host=${CHOST} --prefix=/opt/gnome
- try make
- }
-src_install(){
- try make prefix=${D}/opt/gnome install
+DEPEND="${RDEPEND}"
+
+src_compile() {
+ ./configure --host=${CHOST} --prefix=/opt/gnome || die
- dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
+
+ dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+}
diff --git a/gnome-libs/gnomemm/gnomemm-1.2.0.ebuild b/gnome-libs/gnomemm/gnomemm-1.2.0.ebuild
index f65c1a83d2a4..4c5db642c147 100644
--- a/gnome-libs/gnomemm/gnomemm-1.2.0.ebuild
+++ b/gnome-libs/gnomemm/gnomemm-1.2.0.ebuild
@@ -1,7 +1,7 @@
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Nathaniel Hirsch <nh2@njit.edu> Achim Gottinge <achim@gentoo.org>
# /home/cvsroot/gentoo-x86/media-video/vlc/vlc-0.2.80.ebuild,v 1.1 2001/06/20 13:47:39 darks Exp
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/gnomemm/gnomemm-1.2.0.ebuild,v 1.3 2001/08/31 03:23:39 pm Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/gnomemm/gnomemm-1.2.0.ebuild,v 1.4 2001/08/31 23:32:48 hallski Exp $
S=${WORKDIR}/${P}
@@ -9,19 +9,19 @@ DESCRIPTION="C++ binding for the GNOME libraries"
SRC_URI="http://prdownloads.sourceforge.net/gtkmm/${P}.tar.gz"
HOMEPAGE="http://gtkmm.sourceforge.net/"
-DEPEND=">=x11-libs/gtkmm-1.2.5
- >=gnome-base/ORBit-0.5.8"
-
RDEPEND=">=x11-libs/gtkmm-1.2.5
>=gnome-base/ORBit-0.5.8"
-src_compile(){
- try ./configure --host=${CHOST} --prefix=/opt/gnome
- try make
- }
-src_install(){
- try make prefix=${D}/opt/gnome install
+DEPEND="${RDEPEND}
+
+src_compile() {
+ ./configure --host=${CHOST} --prefix=/opt/gnome || die
- dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
+
+ dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+}
diff --git a/gnome-libs/libgda/libgda-0.2.10.ebuild b/gnome-libs/libgda/libgda-0.2.10.ebuild
index f42ddb4765c8..79a2215d108c 100644
--- a/gnome-libs/libgda/libgda-0.2.10.ebuild
+++ b/gnome-libs/libgda/libgda-0.2.10.ebuild
@@ -10,55 +10,59 @@ SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-db/${A}
ftp://ftp.gnome-db.org/pub/gnome-db/sources/${PV}/${A}"
HOMEPAGE="http://www.gnome.org/gnome-db"
-DEPEND="virtual/glibc sys-apps/which
- >=sys-libs/gdbm-1.8.0
- >=sys-libs/readline-4.1
- >=gnome-base/gconf-0.11
- >=gnome-base/oaf-0.5.0
- >=dev-perl/CORBA-ORBit-0.4.3
- mysql? ( >=dev-db/mysql-3.23.26 )
- postgres? ( >=dev-db/postgresql-7.1 )
- odbc? ( >=dev-db/unixODBC-1.8.13 )
- ldap? ( >=net-nds/openldap-1.2.11 )"
-
RDEPEND="virtual/glibc
>=gnome-base/gconf-0.11
>=gnome-base/oaf-0.5.0
>=sys-libs/gdbm-1.8.0
>=sys-libs/readline-4.1
+ >=dev-perl/CORBA-ORBit-0.4.3
mysql? ( >=dev-db/mysql-3.23.26 )
postgres? ( >=dev-db/postgresql-7.1 )
odbc? ( >=dev-db/unixODBC-1.8.13 )
ldap? ( >=net-nds/openldap-1.2.11 )"
+DEPEND="${RDEPEND}
+ sys-apps/which"
+
src_compile() {
- local myconf
- if [ "`use mysql`" ] ; then
- myconf="--with-mysql=/usr"
- fi
- if [ "`use ldap`" ] ; then
- myconf="$myconf --with-ldap=/usr"
- fi
- if [ "`use odbc`" ]; then
- myconf="$myconf --with-odbc"
- fi
- if [ "`use postgres`" ]; then
- myconf="$myconf --with-postgres=/usr"
- fi
-
- try ./configure --host=${CHOST} --prefix=/opt/gnome --sysconfdir=/etc/opt/gnome $myconf
- try make LDFLAGS="-lncurses" LIBREADLINE="-lreadline -lncurses" # Doesn't work with -j 4 (hallski)
-}
+ local myconf
-src_install() {
- try make prefix=${D}/opt/gnome sysconfdir=/etc/opt/gnome \
- PREFIX=${D}/usr INSTALLMAN3DIR=${D}/usr/share/man/man3 \
- GDA_oafinfodir=${D}/opt/gnome/share/oaf install
- into /usr
- dobin providers/gda-default-server/build_sqlite/{lemon,sqlite}
- dodoc AUTHORS COPYING.* ChangeLog NEWS README
-}
+ if [ "`use mysql`" ]
+ then
+ myconf="--with-mysql=/usr"
+ fi
+ if [ "`use ldap`" ]
+ then
+ myconf="$myconf --with-ldap=/usr"
+ fi
+ if [ "`use odbc`" ]
+ then
+ myconf="$myconf --with-odbc"
+ fi
+ if [ "`use postgres`" ]
+ then
+ myconf="$myconf --with-postgres=/usr"
+ fi
+
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man \
+ $myconf || die
+ # Doesn't work with -j 4 (hallski)
+ make LDFLAGS="-lncurses" LIBREADLINE="-lreadline -lncurses" || die
+}
+
+src_install() {
+ make DESTDIR=${D} PREFIX=${D}/usr \
+ INSTALLMAN3DIR=${D}/usr/share/man/man3 \
+ GDA_oafinfodir=${D}/opt/gnome/share/oaf install || die
+
+ into /usr
+ dobin providers/gda-default-server/build_sqlite/{lemon,sqlite}
+ dodoc AUTHORS COPYING.* ChangeLog NEWS README
+}
diff --git a/gnome-libs/libgda/libgda-0.2.9.ebuild b/gnome-libs/libgda/libgda-0.2.9.ebuild
index 5eba96204523..f46aa0a7c0ac 100644
--- a/gnome-libs/libgda/libgda-0.2.9.ebuild
+++ b/gnome-libs/libgda/libgda-0.2.9.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libgda/libgda-0.2.9.ebuild,v 1.4 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -9,16 +9,6 @@ DESCRIPTION="gda lib"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-db/${A}"
HOMEPAGE="http://www.gnome.org/gnome-db"
-DEPEND="virtual/glibc sys-apps/which
- >=sys-libs/gdbm-1.8.0
- >=sys-libs/readline-4.1
- >=gnome-base/gconf-0.11
- >=dev-perl/CORBA-ORBit-0.4.3
- mysql? ( >=dev-db/mysql-3.23.26 )
- postgres? ( >=dev-db/postgresql-7.1 )
- odbc? ( >=dev-db/unixODBC-1.8.13 )
- ldap? ( >=net-nds/openldap-1.2.11 )"
-
RDEPEND="virtual/glibc
>=gnome-base/gconf-0.11
>=sys-libs/gdbm-1.8.0
@@ -28,34 +18,49 @@ RDEPEND="virtual/glibc
odbc? ( >=dev-db/unixODBC-1.8.13 )
ldap? ( >=net-nds/openldap-1.2.11 )"
+DEPEND="${RDEPEND}
+ sys-apps/which
+ >=dev-perl/CORBA-ORBit-0.4.3"
+
src_compile() {
- local myconf
- if [ "`use mysql`" ] ; then
- myconf="--with-mysql=/usr"
- fi
- if [ "`use ldap`" ] ; then
- myconf="$myconf --with-ldap=/usr"
- fi
- if [ "`use odbc`" ]; then
- myconf="$myconf --with-odbc"
- fi
- if [ "`use postgres`" ]; then
- myconf="$myconf --with-postgres=/usr"
- fi
-
- try ./configure --host=${CHOST} --prefix=/opt/gnome --sysconfdir=/etc/opt/gnome $myconf
- try make LDFLAGS="-lncurses" LIBREADLINE="-lreadline -lncurses" # Doesn't work with -j 4 (hallski)
-}
+ local myconf
-src_install() {
- try make prefix=${D}/opt/gnome sysconfdir=/etc/opt/gnome \
- PREFIX=${D}/usr INSTALLMAN3DIR=${D}/usr/share/man/man3 \
- GDA_oafinfodir=${D}/opt/gnome/share/oaf install
- into /usr
- dobin providers/gda-default-server/build_sqlite/{lemon,sqlite}
- dodoc AUTHORS COPYING.* ChangeLog NEWS README
-}
+ if [ "`use mysql`" ]
+ then
+ myconf="--with-mysql=/usr"
+ fi
+ if [ "`use ldap`" ]
+ then
+ myconf="$myconf --with-ldap=/usr"
+ fi
+ if [ "`use odbc`" ]
+ then
+ myconf="$myconf --with-odbc"
+ fi
+ if [ "`use postgres`" ]
+ then
+ myconf="$myconf --with-postgres=/usr"
+ fi
+
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man \
+ $myconf || die
+ # Doesn't work with -j 4 (hallski)
+ make LDFLAGS="-lncurses" LIBREADLINE="-lreadline -lncurses" || die
+}
+
+src_install() {
+ make DESTDIR=${D} PREFIX=${D}/usr \
+ INSTALLMAN3DIR=${D}/usr/share/man/man3 \
+ GDA_oafinfodir=${D}/opt/gnome/share/oaf install || die
+
+ into /usr
+ dobin providers/gda-default-server/build_sqlite/{lemon,sqlite}
+ dodoc AUTHORS COPYING.* ChangeLog NEWS README
+}
diff --git a/gnome-libs/libole2/libole2-0.2.3.ebuild b/gnome-libs/libole2/libole2-0.2.3.ebuild
index ab690cf36abe..39c7c70440e6 100644
--- a/gnome-libs/libole2/libole2-0.2.3.ebuild
+++ b/gnome-libs/libole2/libole2-0.2.3.ebuild
@@ -11,17 +11,14 @@ HOMEPAGE="http://www.gnome.org/"
DEPEND=">=dev-libs/glib-1.2.8"
-
src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome
- try pmake
+ ./configure --host=${CHOST} --prefix=/opt/gnome || die
+
+ emake || die
}
src_install() {
- try make prefix=${D}/opt/gnome install
+ make DESTDIR=${D} install || die
- dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
+ dodoc AUTHORS COPYING ChangeLog NEWS README* TODO
}
-
-
-
diff --git a/gnome-libs/librsvg/librsvg-1.0.0.ebuild b/gnome-libs/librsvg/librsvg-1.0.0.ebuild
index 7ba41dc2c743..bd20cd770400 100644
--- a/gnome-libs/librsvg/librsvg-1.0.0.ebuild
+++ b/gnome-libs/librsvg/librsvg-1.0.0.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/librsvg/librsvg-1.0.0.ebuild,v 1.5 2001/07/29 10:42:12 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/librsvg/librsvg-1.0.0.ebuild,v 1.6 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -9,24 +9,26 @@ DESCRIPTION="librsvg"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/${PN}/${A}"
HOMEPAGE="http://www.gnome.org/"
-DEPEND=">=gnome-base/gnome-libs-1.2.10
+RDEPEND="virtual/glibc
+ >=gnome-base/gnome-libs-1.2.10
>=media-libs/freetype-2.0.1
>=gnome-base/libxml-1.8
>=media-libs/gdk-pixbuf-0.10
>=dev-libs/popt-1.5"
-RDEPEND="virtual/glibc"
+DEPEND="${RDEPEND}"
-src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome \
- --sysconfdir=/etc/opt/gnome
- try pmake
-}
+src_compile() {
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man
-src_install() {
- try make DESTDIR=${D} install
- dodoc AUTHORS COPYING ChangeLog NEWS README*
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
-
+ dodoc AUTHORS COPYING ChangeLog NEWS README*
+}
diff --git a/gnome-libs/librsvg/librsvg-1.0.1.ebuild b/gnome-libs/librsvg/librsvg-1.0.1.ebuild
index 5e6547fa770f..b025f8ea0acf 100644
--- a/gnome-libs/librsvg/librsvg-1.0.1.ebuild
+++ b/gnome-libs/librsvg/librsvg-1.0.1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/librsvg/librsvg-1.0.1.ebuild,v 1.2 2001/07/29 10:42:12 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/librsvg/librsvg-1.0.1.ebuild,v 1.3 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -9,24 +9,26 @@ DESCRIPTION="librsvg"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/${PN}/${A}"
HOMEPAGE="http://www.gnome.org/"
-DEPEND=">=gnome-base/gnome-libs-1.2.10
- >=media-libs/freetype-2.0.1
- >=gnome-base/libxml-1.8
- >=media-libs/gdk-pixbuf-0.10
- >=dev-libs/popt-1.5"
+RDEPEND="virtual/glibc
+ >=gnome-base/gnome-libs-1.2.10
+ >=media-libs/freetype-2.0.1
+ >=gnome-base/libxml-1.8
+ >=media-libs/gdk-pixbuf-0.10
+ >=dev-libs/popt-1.5"
-RDEPEND="virtual/glibc"
+RDEPEND="${RDEPEND}"
src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome \
- --sysconfdir=/etc/opt/gnome
- try pmake
-}
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man
-src_install() {
- try make DESTDIR=${D} install
- dodoc AUTHORS COPYING ChangeLog NEWS README*
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
-
+ dodoc AUTHORS COPYING ChangeLog NEWS README*
+}
diff --git a/gnome-libs/libxml2/libxml2-2.3.11.ebuild b/gnome-libs/libxml2/libxml2-2.3.11.ebuild
index a2a6ea02e7a0..9b29a2f3de56 100644
--- a/gnome-libs/libxml2/libxml2-2.3.11.ebuild
+++ b/gnome-libs/libxml2/libxml2-2.3.11.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.3.11.ebuild,v 1.2 2001/08/23 10:20:31 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.3.11.ebuild,v 1.3 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -15,20 +15,16 @@ DEPEND="virtual/glibc
>=sys-libs/zlib-1.1.3"
src_compile() {
- local myconf
- try ./configure --host=${CHOST} --prefix=/usr --sysconfdir=/etc --with-zlib
- try make
-}
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-zlib || die
-src_install() {
- try make install prefix=${D}/usr sysconfdir=${D}/etc \
- mandir=${D}/usr/share/man
- dodoc AUTHORS COPYING* ChangeLog NEWS README
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
-
-
-
-
-
+ dodoc AUTHORS COPYING* ChangeLog NEWS README
+}
diff --git a/gnome-libs/libxml2/libxml2-2.3.14.ebuild b/gnome-libs/libxml2/libxml2-2.3.14.ebuild
index 86e8a3c4f622..711ed1720253 100644
--- a/gnome-libs/libxml2/libxml2-2.3.14.ebuild
+++ b/gnome-libs/libxml2/libxml2-2.3.14.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.3.14.ebuild,v 1.1 2001/07/10 08:15:27 achim Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.3.14.ebuild,v 1.2 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -15,20 +15,16 @@ DEPEND="virtual/glibc
>=sys-libs/zlib-1.1.3"
src_compile() {
- local myconf
- try ./configure --host=${CHOST} --prefix=/usr --sysconfdir=/etc --with-zlib
- try make
-}
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-zlib || die
-src_install() {
- try make install prefix=${D}/usr sysconfdir=${D}/etc \
- mandir=${D}/usr/share/man
- dodoc AUTHORS COPYING* ChangeLog NEWS README
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
-
-
-
-
-
+ dodoc AUTHORS COPYING* ChangeLog NEWS README
+}
diff --git a/gnome-libs/libxml2/libxml2-2.3.9.ebuild b/gnome-libs/libxml2/libxml2-2.3.9.ebuild
index c5a21112ef47..00f57624378e 100644
--- a/gnome-libs/libxml2/libxml2-2.3.9.ebuild
+++ b/gnome-libs/libxml2/libxml2-2.3.9.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.3.9.ebuild,v 1.3 2001/08/23 10:20:31 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.3.9.ebuild,v 1.4 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -15,20 +15,16 @@ DEPEND="virtual/glibc
>=sys-libs/zlib-1.1.3"
src_compile() {
- local myconf
- try ./configure --host=${CHOST} --prefix=/usr --sysconfdir=/etc --with-zlib
- try pmake
-}
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-zlib || die
-src_install() {
- try make install prefix=${D}/usr sysconfdir=${D}/etc \
- mandir=${D}/usr/share/man
- dodoc AUTHORS COPYING* ChangeLog NEWS README
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install
-
-
-
-
-
+ dodoc AUTHORS COPYING* ChangeLog NEWS README
+}
diff --git a/gnome-libs/libxml2/libxml2-2.4.0.ebuild b/gnome-libs/libxml2/libxml2-2.4.0.ebuild
index ce57aad8b18d..6421d9f02fc5 100644
--- a/gnome-libs/libxml2/libxml2-2.4.0.ebuild
+++ b/gnome-libs/libxml2/libxml2-2.4.0.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.4.0.ebuild,v 1.2 2001/08/23 10:20:31 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.4.0.ebuild,v 1.3 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -15,20 +15,16 @@ DEPEND="virtual/glibc
>=sys-libs/zlib-1.1.3"
src_compile() {
- local myconf
- try ./configure --host=${CHOST} --prefix=/usr --sysconfdir=/etc --with-zlib
- try pmake
-}
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-zlib || die
-src_install() {
- try make install prefix=${D}/usr sysconfdir=${D}/etc \
- mandir=${D}/usr/share/man
- dodoc AUTHORS COPYING* ChangeLog NEWS README
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install
-
-
-
-
-
+ dodoc AUTHORS COPYING* ChangeLog NEWS README
+}
diff --git a/gnome-libs/libxml2/libxml2-2.4.1.ebuild b/gnome-libs/libxml2/libxml2-2.4.1.ebuild
index 523fbbd82baa..fe30f5efa90a 100644
--- a/gnome-libs/libxml2/libxml2-2.4.1.ebuild
+++ b/gnome-libs/libxml2/libxml2-2.4.1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.4.1.ebuild,v 1.2 2001/08/23 10:20:31 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxml2/libxml2-2.4.1.ebuild,v 1.3 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -15,20 +15,16 @@ DEPEND="virtual/glibc
>=sys-libs/zlib-1.1.3"
src_compile() {
- local myconf
- try ./configure --host=${CHOST} --prefix=/usr --sysconfdir=/etc --with-zlib
- try pmake
-}
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-zlib || die
-src_install() {
- try make install prefix=${D}/usr sysconfdir=${D}/etc \
- mandir=${D}/usr/share/man
- dodoc AUTHORS COPYING* ChangeLog NEWS README
+ emake || die
}
+src_install() {
+ make DESTDIR=${D} install || die
-
-
-
-
-
+ dodoc AUTHORS COPYING* ChangeLog NEWS README
+}
diff --git a/gnome-libs/libxslt/libxslt-1.0.1.ebuild b/gnome-libs/libxslt/libxslt-1.0.1.ebuild
index 17231717ba5d..6bccc19159a3 100644
--- a/gnome-libs/libxslt/libxslt-1.0.1.ebuild
+++ b/gnome-libs/libxslt/libxslt-1.0.1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxslt/libxslt-1.0.1.ebuild,v 1.2 2001/08/23 10:20:31 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/libxslt/libxslt-1.0.1.ebuild,v 1.3 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -9,21 +9,22 @@ DESCRIPTION="libxslt"
SRC_URI="ftp://ftp.gnome.org/pub/GNOME/stable/sources/${PN}/${A}"
HOMEPAGE="http://www.gnome.org/"
-DEPEND="virtual/glibc sys-devel/perl
- >=gnome-libs/libxml2-2.4.1"
-
RDEPEND="virtual/glibc
>=gnome-libs/libxml2-2.4.1"
+DEPEND="${RDEPEND}
+ sys-devel/perl"
+
src_compile() {
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --mandir=/usr/share/man || die
- try ./configure --host=${CHOST} --prefix=/usr --mandir=/usr/share/man
- try make
+ make || die
}
src_install() {
+ make DESTDIR=${D} install || die
- try make prefix=${D}/usr mandir=${D}/usr/share/man install
dodoc AUTHORS COPYING* ChangeLog README NEWS TODO
}
-
diff --git a/gnome-libs/medusa/medusa-0.5.1.ebuild b/gnome-libs/medusa/medusa-0.5.1.ebuild
index 86f74b2e0811..24e9576bd717 100644
--- a/gnome-libs/medusa/medusa-0.5.1.ebuild
+++ b/gnome-libs/medusa/medusa-0.5.1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/gnome-libs/medusa/medusa-0.5.1.ebuild,v 1.4 2001/08/23 10:20:31 hallski Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-libs/medusa/medusa-0.5.1.ebuild,v 1.5 2001/08/31 23:32:48 hallski Exp $
A=${P}.tar.gz
S=${WORKDIR}/${P}
@@ -12,22 +12,19 @@ HOMEPAGE="http://www.gnome.org/"
DEPEND=">=gnome-base/gnome-vfs-1.0"
src_compile() {
- try ./configure --host=${CHOST} --prefix=/opt/gnome \
- --sysconfdir=/etc/opt/gnome --mandir=/opt/gnome/man \
- --sharedstatedir=/var/lib --localstatedir=/var/lib --enable-prefere-db1
- try pmake medusainitdir=/tmp
+ ./configure --host=${CHOST} \
+ --prefix=/opt/gnome \
+ --sysconfdir=/etc/opt/gnome \
+ --mandir=/opt/gnome/man \
+ --sharedstatedir=/var/lib \
+ --localstatedir=/var/lib \
+ --enable-prefere-db1 || die
+
+ emake medusainitdir=/tmp || die
}
src_install() {
- try make prefix=${D}/opt/gnome sysconfdir=${D}/etc/opt/gnome \
- medusainitdir=/tmp mandir=${D}/opt/gnome/man install
- dodoc AUTHORS COPYING ChangeLog NEWS README
+ make DESTDIR=${D} medusainitdir=/tmp install || die
+ dodoc AUTHORS COPYING ChangeLog NEWS README
}
-
-
-
-
-
-
-